cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/accounts/ACC0001/credit_notes?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.accounts.get_account_credit_notes("ACC0001", {"limit": 20})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accounts.getAccountCreditNotes('ACC0001', {limit: 20});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accounts->getAccountCreditNotes('ACC0001', ['limit' => 20]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.credit_notes.credit_notes_dto.CreditNotesDto.CreditNoteList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<CreditNoteList> response = client.accounts().getAccountCreditNotes(
"ACC0001",
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Accounts.GetAccountCreditNotesAsync(
"ACC0001",
new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accounts.getAccountCreditNotes(
'ACC0001',
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Accounts().GetAccountCreditNotes(context.Background(), "ACC0001", map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"account": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"account_id": "<string>",
"amount": "<string>",
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"custom_attributes": [
{
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>",
"value": "<unknown>"
}
],
"custom_objects": "<array>",
"date": "<string>",
"href": "<string>",
"id": "<string>",
"initial_amount": "<string>",
"invoice_id": "<string>",
"invoices": [
{
"href": "<string>",
"id": "<string>",
"object": "<string>"
}
],
"issue_date": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"payment": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"payment_id": "<string>",
"refund_amount": "<string>",
"refundable": true,
"remaining_amount": "<string>",
"remaining_balance": "<string>",
"status": "<string>",
"updated_by": "<string>",
"updated_on": "<string>",
"uuid": "<string>",
"version": 123
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}Accounts
List an account's credit notes
Lists the credit notes that belong to one account, a page at a time.
GET
/
accounts
/
{account_id}
/
credit_notes
cURL
curl -X GET "$EXSITED_BASE_URL/api/v4/accounts/ACC0001/credit_notes?limit=20" \
-H "Authorization: Bearer $ACCESS_TOKEN"from exsited import build_client
client = build_client()
response = client.accounts.get_account_credit_notes("ACC0001", {"limit": 20})
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.accounts.getAccountCreditNotes('ACC0001', {limit: 20});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->accounts->getAccountCreditNotes('ACC0001', ['limit' => 20]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.credit_notes.credit_notes_dto.CreditNotesDto.CreditNoteList;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<CreditNoteList> response = client.accounts().getAccountCreditNotes(
"ACC0001",
Map.of("limit", 20));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Accounts.GetAccountCreditNotesAsync(
"ACC0001",
new Dictionary<string, object?> { ["limit"] = 20 });
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.accounts.getAccountCreditNotes(
'ACC0001',
queryParams: {'limit': 20},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Accounts().GetAccountCreditNotes(context.Background(), "ACC0001", map[string]any{"limit": 20}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"data": [
{
"account": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"account_id": "<string>",
"amount": "<string>",
"code": "<string>",
"created_by": {
"name": "<string>",
"object": "<string>"
},
"created_on": "<string>",
"currency": {
"code": "<string>",
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>"
},
"custom_attributes": [
{
"href": "<string>",
"id": "<string>",
"name": "<string>",
"object": "<string>",
"type": "<string>",
"value": "<unknown>"
}
],
"custom_objects": "<array>",
"date": "<string>",
"href": "<string>",
"id": "<string>",
"initial_amount": "<string>",
"invoice_id": "<string>",
"invoices": [
{
"href": "<string>",
"id": "<string>",
"object": "<string>"
}
],
"issue_date": "<string>",
"last_updated_by": {
"name": "<string>",
"object": "<string>"
},
"last_updated_on": "<string>",
"object": "<string>",
"payment": {
"href": "<string>",
"id": "<string>",
"object": "<string>"
},
"payment_id": "<string>",
"refund_amount": "<string>",
"refundable": true,
"remaining_amount": "<string>",
"remaining_balance": "<string>",
"status": "<string>",
"updated_by": "<string>",
"updated_on": "<string>",
"uuid": "<string>",
"version": 123
}
],
"object": "<string>",
"pagination": {
"limit": 123,
"has_more": true,
"next_cursor": "<string>",
"prev_cursor": "<string>",
"links": {
"next": "<string>",
"prev": "<string>"
}
},
"url": "<string>"
}Returns the same credit notes as the main credit notes listing, narrowed to one account. The records come under
data, with pagination for the next page.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The account's id, such as ACC0001. Not its uuid.
Query Parameters
The most credit notes to return on one page.
Example:
20
The pagination.next_cursor from the previous page, to fetch the next page.
The field to sort by, such as created_on. Prefix it with - for descending order, as in -created_on.